{
  pkgs,
  config,
  ...
}: {

  home.packages = with pkgs; [
    # emacs
    tree-sitter
    fd
    ripgrep
    vue-language-server
    typescript-language-server
    typescript
    nodejs
    mathpix-snipping-tool
  ];

  programs.emacs = {
    enable = true;
    extraPackages = epkgs: [
      epkgs.mu4e
      epkgs.pdf-tools
    ];
  };
  services.emacs.enable = true;
  home.file.".config/emacs" = {
    source = ./emacs;
    recursive = true;
  };
}
